
var tabArray = new Array();
/*  www tabs */
tabArray[tabArray.length] = new Tab("all","/images/google/tab_all");
tabArray[tabArray.length] = new Tab("www","/images/google/tab_bea");
tabArray[tabArray.length] = new Tab("d2d","/images/google/tab_dev_resources");
tabArray[tabArray.length] = new Tab("edocs","/images/google/tab_prod_doc");
tabArray[tabArray.length] = new Tab("support","/images/google/tab_support");
/*
tabArray[tabArray.length] = new Tab("articles","/images/google/tab_articles");
tabArray[tabArray.length] = new Tab("codeshare","/images/google/tab_codeshare");
*/
tabArray[tabArray.length] = new Tab("news","/images/google/tab_newsgroups");

/* inweb tabs
tabArray[tabArray.length] = new Tab("all","/images/search/all");
tabArray[tabArray.length] = new Tab("hr","/images/search/myhr");
tabArray[tabArray.length] = new Tab("mktg","/images/search/sales");
tabArray[tabArray.length] = new Tab("engineer","/images/search/engineering");
tabArray[tabArray.length] = new Tab("edocs","/images/search/help");
*/

var edocsProductArray = new Array();
edocsProductArray[edocsProductArray.length] = new searchOption("","Any");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wls","WebLogic Server (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wls/docs81","&nbsp;&nbsp;&nbsp;WebLogic Server 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wls/docs70","&nbsp;&nbsp;&nbsp;WebLogic Server 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wls/docs61","&nbsp;&nbsp;&nbsp;WebLogic Server 6.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/platform","WebLogic Platform (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/platform/docs81","&nbsp;&nbsp;&nbsp;WebLogic Platform 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/platform/docs70","&nbsp;&nbsp;&nbsp;WebLogic Platform 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/workshop","WebLogic Workshop (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/workshop/docs81","&nbsp;&nbsp;&nbsp;WebLogic Workshop 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/workshop/docs70","&nbsp;&nbsp;&nbsp;WebLogic Workshop 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlp","WebLogic Portal (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlp/docs81","&nbsp;&nbsp;&nbsp;WebLogic Portal 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlp/docs70","&nbsp;&nbsp;&nbsp;WebLogic Portal 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlp/docs40","&nbsp;&nbsp;&nbsp;WebLogic Portal 4.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wli","WebLogic Integration (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wli/docs81","&nbsp;&nbsp;&nbsp;WebLogic Integration 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wli/docs70","&nbsp;&nbsp;&nbsp;WebLogic Integration 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlintegration/v2_1","&nbsp;&nbsp;&nbsp;WebLogic Integration 2.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wlibc/docs70","WebLogic Integration - Business connect 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wladapters","WebLogic Adapters (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wladapters/docs81","&nbsp;&nbsp;&nbsp;WebLogic Adapters 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wladapters/docs70","&nbsp;&nbsp;&nbsp;WebLogic Adapters 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wljrockit","WebLogic JRockit (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wljrockit/docs81","&nbsp;&nbsp;&nbsp;WebLogic JRockit 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/wljrockit/docs70","&nbsp;&nbsp;&nbsp;WebLogic JRockit 7.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/liquiddata","Liquid Data for WebLogic (All)");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/liquiddata/docs85","&nbsp;&nbsp;&nbsp;Liquid Data for WebLogic 8.5");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/liquiddata/docs81","&nbsp;&nbsp;&nbsp;Liquid Data for WebLogic 8.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/liquiddata/docs11","&nbsp;&nbsp;&nbsp;Liquid Data for WebLogic 1.1");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/liquiddata/docs10","&nbsp;&nbsp;&nbsp;Liquid Data for WebLogic 1.0");
edocsProductArray[edocsProductArray.length] = new searchOption("e-docs.bea.com/tuxedo/tux81","Tuxedo 8.1");

var newsgroupsArray = new Array();
newsgroupsArray[newsgroupsArray.length] = new searchOption("","Any");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wl_comm_gen","weblogic.community.general");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_deploy","weblogic.developer.interest.application.deployment");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_clust","weblogic.developer.interest.clustering");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_cl_mem_rep","weblogic.developer.interest.clustering-in-memory-replication");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_connector","weblogic.developer.interest.connector");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_ejb","weblogic.developer.interest.ejb");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_ejb_cmp","weblogic.developer.interest.ejb.cmp");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_ejb20","weblogic.developer.interest.ejb.ejb20");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_environ","weblogic.developer.interest.environment");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_evalguide","weblogic.developer.interest.evalguide");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_general","weblogic.developer.interest.general");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_int","weblogic.developer.interest.integration");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_jdbc","weblogic.developer.interest.jdbc");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_jms","weblogic.developer.interest.jms");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_jndi","weblogic.developer.interest.jndi");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_jsp","weblogic.developer.interest.jsp");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_liq_data","weblogic.developer.interest.liquid_data");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_mgmt","weblogic.developer.interest.management");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_mgmt_jmx","weblogic.developer.interest.management.general_and_jmx");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_perform","weblogic.developer.interest.performance");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_platform","weblogic.developer.interest.platform");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_plugin","weblogic.developer.interest.plug-in");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_portal","weblogic.developer.interest.portal");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_port_jsr","weblogic.developer.interest.portal.jsr168");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_port_strut","weblogic.developer.interest.portal.struts");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_rmi","weblogic.developer.interest.rmi");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_rmi_iiop","weblogic.developer.interest.rmi-iiop");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_security","weblogic.developer.interest.security");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_servlet","weblogic.developer.interest.servlet");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_trans","weblogic.developer.interest.transaction");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_wlexpress","weblogic.developer.interest.weblogicexpress");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_webserver","weblogic.developer.interest.webserver");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_websvc","weblogic.developer.interest.webservices");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_wls61","weblogic.developer.interest.wls6.1");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_workshop","weblogic.developer.interest.workshop");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_wtc","weblogic.developer.interest.wtc");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_xml","weblogic.developer.interest.xml");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wldi_xmlbeans","weblogic.developer.interest.xmlbeans");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wl_support","weblogic.support.install");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_wli_developer","weblogic.integration.developer");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_jrockit","jrockit.developer.interest.general");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_eai_gen","bea.enterprise.architects.interest.general");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_tux_gen","tuxedo.general");
newsgroupsArray[newsgroupsArray.length] = new searchOption("news_education","bea.education.weblogic.general");

var d2dSubCollectionArray = new Array();
d2dSubCollectionArray[d2dSubCollectionArray.length] = new searchOption("d2d","All dev2dev");
d2dSubCollectionArray[d2dSubCollectionArray.length] = new searchOption("articles","Articles");
d2dSubCollectionArray[d2dSubCollectionArray.length] = new searchOption("codeshare","Codeshare");

var numPerPageArray = new Array();
numPerPageArray[numPerPageArray.length] = new searchOption("10","10 results per page");
numPerPageArray[numPerPageArray.length] = new searchOption("20","20 results per page");
numPerPageArray[numPerPageArray.length] = new searchOption("30","30 results per page");
numPerPageArray[numPerPageArray.length] = new searchOption("50","50 results per page");
numPerPageArray[numPerPageArray.length] = new searchOption("100","100 results per page");


var hrSubCollectionArray = new Array();
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr","All HR");
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr_benefits","Benefits & Compensation");
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr_payroll","Payroll");
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr_staffing","Staffing");
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr_stock","Stock");
hrSubCollectionArray[hrSubCollectionArray.length] = new searchOption("hr_training","Training");


var mktgSubCollectionArray = new Array();
mktgSubCollectionArray[mktgSubCollectionArray.length] = new searchOption("mktg","All Marketing");
mktgSubCollectionArray[mktgSubCollectionArray.length] = new searchOption("mktg_corp","Corporate Marketing");
mktgSubCollectionArray[mktgSubCollectionArray.length] = new searchOption("mktg_ptnr","Partners");
mktgSubCollectionArray[mktgSubCollectionArray.length] = new searchOption("mktg_salesop","Sales Operation");
mktgSubCollectionArray[mktgSubCollectionArray.length] = new searchOption("mktg_training","Sales Training");

var engineerSubCollectionArray = new Array();
engineerSubCollectionArray[engineerSubCollectionArray.length] = new searchOption("engineer","All Engineering");
engineerSubCollectionArray[engineerSubCollectionArray.length] = new searchOption("engineer_docs","Product Documentation");
engineerSubCollectionArray[engineerSubCollectionArray.length] = new searchOption("bugs","Bugs");


